logo
Voice Call
Server API
Stream Mixing and Transcoding APIs
On this page

ResumeCDNLiveStream

GET

https://rtc-api.zego.im/

Call this interface to resume CDN streaming, applicable to direct push CDN scenarios. If you need to apply it to transfer push CDN scenarios, please use the Enable Bypass Streaming interface.

Warning

When using this interface for the first time, you need to contact ZEGOCLOUD Technical Support for configuration.

Call frequency limit
All rooms under the same AppID are limited to 20 times/second

Request

Query Parameters

    Action stringrequired

    Possible values: [ResumeCDNLiveStream]

    Interface prototype parameters

    https://rtc-api.zego.im?Action=ResumeCDNLiveStream

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    StreamId stringrequired

    Stream ID.

Responses

Success
Schema
    Code number

    Return code. Only the return codes related to interface business logic are listed below. For complete return codes, please refer to Global Return Codes.

    Return CodeDescriptionHandling Suggestion
    0Request successful.-
    1Request failed.-
    2Parameter error.-
    3Authentication failed.Please check if the authentication parameters are correct.
    Message string

    Operation result description

    RequestId string

    Request ID

    Data object[]
    Response data
  • Array[
  • CdnType string

    CDN Type:

    • ws: Wangsu
    • aliyun: Alibaba Cloud
    • tencent: Tencent Cloud
    • huawei: Huawei Cloud
    CdnResult string

    CDN processing result

  • ]

Previous

QueryForbidCDNLiveStream

Next

ForbidRTCStream

On this page

Back to top